﻿using System.Windows;
using C1.WPF;

namespace WpfApp3
{
    public class CustomTemplateSelector : C1DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item is SampleModel)
            {
                var model = item as SampleModel;
                if(model.IsLastItem)
                {
                    return Resources["LastItemTemplate"] as DataTemplate;
                }
                return Resources["DefaultTemplate"] as DataTemplate;
            }

            return Resources["DefaultTemplate"] as DataTemplate;
        }
    }
}